Delete vehicle by Hub
curl --request DELETE \
--url https://apiweb.mile.app/api/v3/vehicles/{hubId}/hub \
--header 'Authorization: Bearer <token>'import requests
url = "https://apiweb.mile.app/api/v3/vehicles/{hubId}/hub"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiweb.mile.app/api/v3/vehicles/{hubId}/hub', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "All vehicles has successfully deleted."
}{
"status": false,
"message": "data not found",
"data": []
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Vehicle
Delete vehicle by Hub
DELETE
/
vehicles
/
{hubId}
/
hub
Delete vehicle by Hub
Authorizations
Use a valid Bearer token to authenticate.
Path Parameters
The identifier for the hub that generated by system. Use GET /hubs API to get the list of Hub IDs.
Example: 634e98498ce07d29474a7e29
⌘I